package com.yyb.service;

import com.yyb.commons.utils.Page;
import com.yyb.mapper.CustomerMapper;
import com.yyb.pojo.Customer;
import com.yyb.pojo.QueryVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * Created by Administrator on 2017/8/18.
 */
@Service
public class CustomerServiceImpl implements CustomerService {
        @Autowired
        private CustomerMapper customerMapper;

        @Override
        public Page<Customer> queryCustomerByQueryVo(QueryVo queryVo) {
            // 设置查询条件,从哪一条数据开始查
            queryVo.setStart((queryVo.getPage() - 1) * queryVo.getRows());

            // 查询数据结果集
            List<Customer> list = customerMapper.queryCustomerByQueryVo(queryVo);
            // 查询到的数据总条数
            int total = customerMapper.queryCountByQueryVo(queryVo);

            // 封装返回的page对象
            Page<Customer> page = new Page<>(total, queryVo.getPage(), queryVo.getRows(), list);

            return page;
    }

    @Override
    public Customer queryCustomerById(Long id) {
        Customer customer = this.customerMapper.queryCustomerById(id);
        return customer;
    }

    @Override
    public int updateCustomerById(Customer customer) {
         return this.customerMapper.updateCustomerById(customer);
    }

    @Override
    public int deleteCustomerById(Long id) {
        return  this.customerMapper.deleteCustomerById(id);
    }
}
